mhash_keygen_s2k
OpenSSL
Funções da Mhash
PHP Manual

# mhash

(PHP 4, PHP 5)

mhash — Computa a hash

### Descrição

string mhash ( int `$hash` , string `$data` [, string `$key` ] )

mhash() aplica a função hash especificada por `hash` para o parâmetro `data` .

### Parâmetros

`hash`

  O hash id. Uma das constantes MHASH_XXX.

`data`

  A entrada do usuário, como uma string.

`key`

  Se especificada, a função irá retornar o HMAC resultante. HMAC é o hashing com chave (keyed) para autenticações de mensagens, ou simplesmente um digest de mensagens que depende na chave específicada. Nem todos os algoritmos suportados em mhash podem ser usados em modo HMAC.

### Valor Retornado

Retorna o hash resultante (também chamado digest) ou HMAC como uma string, ou `FALSE` em erros.

mhash_keygen_s2k
OpenSSL
Funções da Mhash
PHP Manual